Bug 116218 - Suggestion : add selection for netbios rules
Suggestion : add selection for netbios rules
Status: CLOSED DUPLICATE of bug 58004
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-19 00:34 EST by Jim Daleo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:01:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Daleo 2004-02-19 00:34:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
When using a machine in a windows network the filerwall prevents
newtork browsing.  A selection to allow netbios, on the firewall
configuration dialog, would be helpful.  An end user should not have
to know how to add rules to iptables to use the firewall. 

Version-Release number of selected component (if applicable):
1.3.2-1

How reproducible:
Always

Steps to Reproduce:
1.Enable Firewall
2.
3.
    

Actual Results:  No selection to allow windows network browsing

Additional info:

work around:

script called during startup ( after iptables )

#!/bin/bash
#
# chkconfig: - 91 35
# description: Opens and Closes a hole in the firewall for netbios

start() {
   echo $"Inserting firewall rules: "
  /sbin/iptables -I RH-Firewall-1-INPUT 1 -p tcp --dport
netbios-ns:netbios-ssn -j ACCEPT
  /sbin/iptables -I RH-Firewall-1-INPUT 1 -p udp --dport
netbios-ns:netbios-ssn -j ACCEPT
  /sbin/iptables -I RH-Firewall-1-INPUT 1 -p tcp --sport
netbios-ns:netbios-ssn -j ACCEPT
  /sbin/iptables -I RH-Firewall-1-INPUT 1 -p udp --sport
netbios-ns:netbios-ssn -j ACCEPT
}

stop() {
  echo $"Removing firewall rules: "
  /sbin/iptables -I RH-Firewall-1-INPUT -p tcp --dport
netbios-ns:netbios-ssn -j ACCEPT
  /sbin/iptables -I RH-Firewall-1-INPUT -p udp --dport
netbios-ns:netbios-ssn -j ACCEPT
  /sbin/iptables -I RH-Firewall-1-INPUT -p tcp --sport
netbios-ns:netbios-ssn -j ACCEPT
  /sbin/iptables -I RH-Firewall-1-INPUT -p udp --sport
netbios-ns:netbios-ssn -j ACCEPT
}

# See how we were called.
case "$1" in
  start)
	start
	;;
  stop)
	stop
	;;
  restart|reload)
	stop
	start
	;;
  *)
	echo $"Usage: $0 {start|stop|restart}"
	exit 1
esac

exit 0
Comment 1 Bill Nottingham 2004-02-19 22:49:42 EST

*** This bug has been marked as a duplicate of 58004 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:01:25 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.